Subject: bug#17334: closed (Re: bug#17334: 24.3; Crash in cmdproxy.exe)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 26 Apr 2014 07:09:02 +0000

Your bug report

#17334: 24.3; Crash in cmdproxy.exe

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17334: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17334
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17334: 24.3; Crash in cmdproxy.exe
From: Eli Zaretskii <[email-masked]>
To: Sohail Somani <[email-masked]>
Cc: [email-masked]
Date: Sat, 26 Apr 2014 10:08:23 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 23 Apr 2014 23:58:57 -0400
> From: Sohail Somani <[email-masked]>
> 
> There is a "bug" in cmdproxy.exe which should never happen, but does
> anyway. In make_absolute, there is the following code:
> 
>    strncpy(dir, path, p - path);
>    dir[p - path] = '\0';
> 
> If p-path > sizeof(dir), a buffer overrun occurs.
> 
> I came across this problem because I accidentally used ':' as a
> separator when constructing the PATH variable in Emacs.

Thanks, this is now fixed for Emacs 24.4 (revision 117021 on the
emacs-24 branch).

Subject: 24.3; Crash in cmdproxy.exe
From: Sohail Somani <[email-masked]>
To: [email-masked]
Date: Wed, 23 Apr 2014 23:58:57 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

There is a "bug" in cmdproxy.exe which should never happen, but does
anyway. In make_absolute, there is the following code:

   strncpy(dir, path, p - path);
   dir[p - path] = '\0';

If p-path > sizeof(dir), a buffer overrun occurs.

I came across this problem because I accidentally used ':' as a
separator when constructing the PATH variable in Emacs.

Thanks,

Sohail